Get Requirement API
Get Requirement API , Provides List of Required Document to be uploaded.
Path Parameters
Request Body required
1SB Get Requirement request
- Array [
- ]
Possible values: <= 20 characters
Distributor ID assigned to each consumer by 1SB.
Possible values: <= 15 characters
The code to identify for which insurance company this proposal belongs to.
Possible values: <= 100 characters
Reference number generated on submitting the proposal.
Possible values: <= 100 characters
Policy reference number.
Possible values: <= 100 characters
Reference number generated on submitting the proposal.
memberDetails object
Is the document for proposer or lifeassured.
Date of Birth of Member. Date is formatted string as per ISO 8601 standard. Format - YYYY-MM-DD.
Possible values: <= 10 characters
Mobile number.
varFields object[]
varField array hold any additional data
Possible values: <= 20 characters
Name of additional fields
Possible values: <= 20 characters
Value of additional fields
- 200
Successful Response
Schema
- Array [
- ]
- Array [
- ]
Possible values: <= 100 characters
Reference number generated on submitting the proposal.
manufacturer object
Array to capture status of multiple manufacturers/insurance companies
Possible values: <= 15 characters
The code to identify for which insurance company this proposal belongs to.
product object
Possible values: <= 20 characters
Insurance Product code.
Possible values: <= 20 characters
Policy reference number.
requirements object
Possible values: <= 20 characters
Pending/ Submitted-pending review / Cancelled/ Accepted/ Reordered/waivedOff
Possible values: <= 20 characters
Additional status if provided by the manufacturer.
Possible values: <= 30 characters
Category of the pending requirement
Possible values: <= 30 characters
requirement name
Possible values: <= 200 characters
Decription of document or medical test, if any provided by the manufacturer.
Possible values: <= 10 characters
This field will carry the date when the requirement was triggered by insurance company.
Possible values: <= 10 characters
This field can carry the date of medical examination
Possible values: <= 10 characters
This field can carry date when document or medical reports were submitted to insurance company (branch or website).
Possible values: <= 30 characters
This field is for Client ID
Possible values: <= 50 characters
First name of Proposer.
Possible values: <= 50 characters
Last name of Proposer.
Possible values: <= 50 characters
Requirement code number.
varFields object[]
varField array hold any additional data related to Requirement.
Possible values: <= 100 characters
Name of additional fields
Possible values: <= 100 characters
Value of additional fields
varFields object[]
varField array hold any additional data
Possible values: <= 100 characters
Name of additional fields
Possible values: <= 100 characters
Value of additional fields
{
"applicationNo": "1100022480621",
"manufacturer": {
"insuranceCompanyCode": "string",
"product": {
"productCode": "string",
"policyNo": "string",
"requirements": {
"status": "Pending",
"manufacturerStatus": "string",
"category": "Document/ Medical Test or Medical Document.",
"name": "Id proof, address, proof, income proof or medical test name.",
"description": "string",
"requestDate": "string",
"examDate": "string",
"receivedDate": "string",
"clientId": "string",
"firstName": "string",
"lastName": "string",
"manuRequirementNo": "string",
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
}
}
},
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
}